KBDRATE(8)

NAME
kbdrate - reset the keyboard repeat rate and delay time

SYNOPSIS
kbdrate [ -s ] [ -r rate ] [ -d delay ]

DESCRIPTION
kbdrate is used to change the IBM keyboard repeat rate and delay time. The delay is the amount of time that a key must be depressed before it will start to repeat. Using kbdrate without any options will reset the rate to 10.9 characters per second (cps) and the delay to 250 milliseconds (ms). These are the IBM defaults.

OPTIONS

-s  Silent. No messages are printed.

-r rate
    Change the keyboard repeat rate to rate cps. The allowable range is from 2.0 to 30.0 cps. Only certain, specific values are possible, and the program will select the nearest possible value to the one specified. The possible values are given, in characters per second, as follows: 2.0, 2.1, 2.3, 2.5, 2.7, 3.0, 3.3, 3.7, 4.0, 4.3, 4.6, 5.0, 5.5, 6.0, 6.7, 7.5, 8.0, 8.6, 9.2, 10.0, 10.9, 12.0, 13.3, 15.0, 16.0, 17.1, 18.5, 20.0, 21.8, 24.0, 26.7, 30.0.

-d delay
    Change the delay to delay milliseconds. The allowable range is from 250 to 1000 ms, but the only possible values (based on hardware restrictions) are: 250ms, 500ms, 750ms, and 1000ms.

BUGS
Not all keyboards support all rates.

Not all keyboards have the rates mapped in the same way.

Setting the repeat rate on the Gateway AnyKey keyboard does not work. If someone with a Gateway figures out how to program the keyboard, please send mail to faith@cs.unc.edu.

The above description is for i386 machines, and writing to some io port won't work on other architectures. Nowadays kbdrate first tries if the KDKBDREP ioctl is available. If it is, it is used, otherwise the old method is applied.

FILES
/etc/rc.local
/dev/port

AUTHOR
Rik Faith (faith@cs.unc.edu)